from bluetoothautomation import *

allSimulators = None
while not allSimulators or len(allSimulators) == 0:
	allSimulators = iOSUSBProvider.allDevices()

device = allSimulators[0]
provider = iOSUSBProvider.alloc().init().initializeDeviceAtPath_(str(device[kBAMDevicePath]))

provider.setVerboseLogging_(kBAMLogAll)
provider.setEnabledServices_(kBAMServiceLE | kBAMServiceLEA)
lea = provider.lea()
b = lea.startAdvertiseWithName_stereo_channel_ID_("blah123", False, 0, bytearray((0xBE, 0xEF)))